=== debian/changelog ===
moosic (1.5.4-7) unstable; urgency=low

  * Transition to dh_python2
  * Transition to debhelper 8
  * Update Standards-Version from 3.8.4 to 3.9.2.0, no changes
  * Refresh patch 0001 to match the way current gbp-pq generates it
  * Apply patch from Omari Norman to fix race condition in the wipe
    command (Closes: #630407)
  * Apply patch from Omari Norman to respect the ignore-case option
    in the goto and gobackto commands (Closes: #630408)
  * Remove extra copy of the bash completion file from debian/
  * Do not install the bash completion file as an example

 -- Arto Jantunen <viiru@debian.org>  Tue, 14 Jun 2011 21:25:51 +0300

moosic (1.5.4-6) unstable; urgency=low

  * Build-depend on python instead of python-dev, thanks lintian
  * Updated Standars-Version to 3.8.4, no changes
  * Convert to source forma 3.0 (quilt)
  * Add patch to remove some unneeded imports, avoids warning from
    Python 2.6 and also fixes LP: #368868

 -- Arto Jantunen <viiru@debian.org>  Thu, 27 May 2010 21:09:56 +0300

moosic (1.5.4-5) unstable; urgency=low

  * The "Bah" release
  * Updated Standards-Version to 3.8.0
  * Build-depend on debhelper (>= 7.0.50) for dh overrides

 -- Arto Jantunen <viiru@debian.org>  Fri, 09 Oct 2009 18:42:54 +0300

moosic (1.5.4-4) unstable; urgency=low

  * The "Has it been two years already?" release
  * Updated Standards-Version from 3.7.2.2 to 3.8.2.0, incredibly no
    changes
  * Updated to debhelper 7, and the dh-tool.
  * Updated copyright-file and added ${misc:Depends} to clear some 
    lintian warnings
  * Added rules to work around the fact that the upstream tarball 
    includes generated documentation.
  * Added watch file

 -- Arto Jantunen <viiru@debian.org>  Wed, 29 Jul 2009 14:41:38 +0300

moosic (1.5.4-3) unstable; urgency=low

  * Moved to python-support, modified control and rules to fit, 
    removed pycompat and pyversions (Closes: #445400).

 -- Arto Jantunen <viiru@debian.org>  Sat, 27 Oct 2007 12:20:22 +0300

moosic (1.5.4-2) unstable; urgency=low

  * Changed XS-Python-Version to all (Closes: #445400).
  * Updated Standards-Version to 3.7.2.2, no changes.

 -- Arto Jantunen <viiru@debian.org>  Thu, 25 Oct 2007 18:45:01 +0300

moosic (1.5.4-1) unstable; urgency=low

  * New upstream version (Finally, I'm too busy these days)
  * Removed the DBS-stuff, using a normal build system again

 -- Arto Jantunen <viiru@debian.org>  Sat, 14 Jul 2007 15:49:23 +0300

moosic (1.5.2-2) unstable; urgency=low

  * Changed to support the new python policy (Closes: #380877)
  * Updated Standards-Version to 3.7.2.0, no changes.

 -- Arto Jantunen <viiru@debian.org>  Sat, 12 Aug 2006 19:46:48 +0300

moosic (1.5.2-1) unstable; urgency=low

  * New upstream release (Closes: #325519)

 -- Arto Jantunen <viiru@debian.org>  Wed, 31 Aug 2005 17:36:53 +0300

moosic (1.5.1-1) unstable; urgency=low
  
  * The "Finally!" release
  * New upstream release (Closes: #261335)
  * Now uses distutils, packaging adapted (Closes: #247651)

 -- Arto Jantunen <viiru@debian.org>  Wed, 27 Oct 2004 19:29:17 +0300

moosic (1.5.0-1) unstable; urgency=low

  * New upstream release
  * Changed to use the bash completion provided in the upstream
    source

 -- Arto Jantunen <viiru@debian.org>  Tue,  6 Apr 2004 19:41:12 +0300

moosic (1.4.10-1) unstable; urgency=low

  * The "I'm back" release
  * I'm taking moosic back (Closes: #200977)
  * New upstream release
  * Changed to use DBS

 -- Arto Jantunen <viiru@debian.org>  Tue, 16 Dec 2003 20:25:34 +0200

moosic (1.4.6-2.1) unstable; urgency=low

  * NMU.
  * Fix FTBFS (closes: #213935).

 -- Matthias Klose <doko@debian.org>  Sun, 16 Nov 2003 15:09:05 +0100

moosic (1.4.6-2) unstable; urgency=low

  * Uploading with maintainer set to QA group
  * debian/rules: modified to python2.3 (fixes: #213935)

 -- Andrew Pollock <apollock@debian.org>  Tue, 11 Nov 2003 21:52:23 +1100

moosic (1.4.6-1) unstable; urgency=low

  * New upstream release
  * Changed maintainer to Debian QA Group <packages@qa.debian.org>
    and finally properly orphaned the package
  * Made moosic use python2.2 (Closes: Bug#206614)

 -- Arto Jantunen <viiru@debian.org>  Mon,  1 Sep 2003 00:52:27 +0300

moosic (1.4.4-1) unstable; urgency=medium

  * The "this is what you get from uploading in a hurry"-release
  * New upstream release, which apparently includes my buggy 
    debian dir in the upstream source. Nice..
  * Added build dependency on python (Closes: 194994)
  * The bash_completion is there now (Closes: 184633)
  * Corrected the dependencies by using dh_python
  * Slightly patched Moosic_API.pod to make the manpage a proper
    manpage
  * Steve, you'll need to wait for the next upload to get your
    modules, sorry.

 -- Arto Jantunen <viiru@debian.org>  Mon,  9 Jun 2003 18:36:18 +0300

moosic (1.4.3-1) unstable; urgency=low

  * New upstream release
  * Changed debian/rules to use the upstream build system
  * Included bash_completion by Etienne PIERRE <marluchon@netcourrier.com>

 -- Arto Jantunen <viiru@debian.org>  Wed, 21 May 2003 20:30:00 +0300

moosic (1.4-1) unstable; urgency=low

  * New upstream release

 -- Arto Jantunen <viiru@debian.org>  Thu,  1 May 2003 15:27:59 +0300

moosic (1.3.2-1) unstable; urgency=low

  * New upstream release
  * Updated to use debian/compat, set to 4

 -- Arto Jantunen <viiru@debian.org>  Sun,  9 Mar 2003 16:46:52 +0200

moosic (1.3-1) unstable; urgency=low

  * New upstream release
  * Updated Standards-Version to 3.5.8.0
  * Changed dependency on python to reflect upstream changes
  * Updated the copyright file to have current upstream email 
    address and download location.

 -- Arto Jantunen <viiru@debian.org>  Thu, 12 Dec 2002 18:48:54 +0200

moosic (1.2.7-1) unstable; urgency=low

  * New upstream release

 -- Arto Jantunen <viiru@debian.org>  Tue, 21 May 2002 22:13:21 +0300

moosic (1.2.6-1) unstable; urgency=low

  * New upstream release
  * Upstream added manpages (closes: #139396)

