=== debian/control ===
Source: moosic
Section: sound
Priority: optional
Maintainer: Arto Jantunen <viiru@debian.org>
Build-Depends: debhelper (>= 8.0.0), python (>= 2.6.6-3)
Standards-Version: 3.9.2.0
X-Python-Version: >= 2.4

Package: moosic
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Recommends: mpg321
Suggests: timidity, vorbis-tools, mikmod, sox
Description: Daemon/client combo to easily queue music files for playing
 Moosic is a music player that focuses on easy playlist management. It consists
 of a server process that maintains a queue of music files to play and a client
 program which sends commands to the server. The server continually runs through
 its playlist, popping items off the top of the list and playing each with an
 external program. The client is a simple command-line utility which allows you
 to perform powerful operations upon the server's queue, including the addition
 of whole directory trees, automatic shuffling, and item removal according to
 regular expressions. The server comes configured to play MP3, Ogg, MIDI, MOD,
 and WAV files.
