=== debian/changelog ===
moosic (1.5.5-3) unstable; urgency=low

  * Add patch to use subprocess.PIPE instead of PIPE in dispatcher.py
    (Closes: #640113)

 -- Arto Jantunen <viiru@debian.org>  Thu, 22 Sep 2011 18:52:00 +0300

moosic (1.5.5-2) unstable; urgency=high

  * Urgency=high to speed up testing migration, 1.5.5-1 does not work 
    at all
  * Require Python 2.7 to deal with incompatible changes to xmlrpclib
    (Closes: #639091)
  * Fix typo in debian/rules (the bash completion file was getting 
    installed as an example)
  * Apparently current debhelper thinks that doc/History.txt is more 
    likely to be the upstream changelog than ChangeLog, override it

 -- Arto Jantunen <viiru@debian.org>  Wed, 24 Aug 2011 11:14:04 +0300

moosic (1.5.5-1) unstable; urgency=low

  * New upstream version 1.5.5
  * Remove patch 0001, applied upstream

 -- Arto Jantunen <viiru@debian.org>  Thu, 04 Aug 2011 00:15:45 +0300
