=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: sound
 Priority: optional
 Maintainer: Arto Jantunen <viiru@debian.org>
-Build-Depends: debhelper (>= 8.0.0), python (>= 2.6.6-3)
+Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6.6-3)
 Standards-Version: 3.9.2.0
-X-Python-Version: >= 2.4
+X-Python-Version: >= 2.7
 
 Package: moosic
 Architecture: all
