=== debian/changelog ===
moosic (1.5.6-1) unstable; urgency=low

  * New upstream version 1.5.6
  * Remove all patches (applied upstream)
  * Update debian/copyright for the upstream license change (GPL ->
    Unlicense)
  * Upstream has fixed the compatibility problems, reduce required
    Python version back to 2.4

 -- Arto Jantunen <viiru@debian.org>  Sun, 06 Nov 2011 14:57:55 +0200
