=== debian/rules ===
--- 
+++ 
@@ -11,12 +11,15 @@
 	install -m 644 examples/completion debian/moosic/etc/bash_completion.d/moosic
 	rm -f debian/moosic/usr/share/doc/moosic/License.txt
 	rm -f debian/moosic/usr/share/doc/moosic/ChangeLog
-	rm -f debina/moosic/usr/share/doc/examples/completion
+	rm -f debian/moosic/usr/share/doc/moosic/examples/completion
 
 override_dh_auto_clean:
 	-mv doc/bak/* doc/
 	-rmdir doc/bak
 	dh_auto_clean
 
+override_dh_installchangelogs:
+	dh_installchangelogs ChangeLog
+
 %:
 	dh $@ --with python2
